package cn.hmsoft.jdbc.entity;

/********************
 * 数据库字段
 * 
 * @author zxq
 * @create 2019-05-05 19:25:27
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
public class ColumnEntity {

	/********************
	 * 字段名称
	 */
	private String column_name;
	/*********************
	 * 字段备注
	 */
	private String column_comment;

	/******************
	 * 字段编号（顺序）
	 */
	private int column_id;

	/***************
	 * 是否允许为空
	 */
	private boolean nullable = true;

	/**********************
	 * 字段长度
	 */
	private int column_length;

	/********************
	 * 字段类型
	 */
	private String column_type;

	/*******************
	 * 默认字段
	 */
	private String column_value;
	

	public String getColumn_name() {
		return column_name;
	}

	public void setColumn_name(String column_name) {
		this.column_name = column_name;
	}

	public String getColumn_comment() {
		return column_comment;
	}

	public void setColumn_comment(String column_comment) {
		this.column_comment = column_comment;
	}

	public int getColumn_id() {
		return column_id;
	}

	public void setColumn_id(int column_id) {
		this.column_id = column_id;
	}

	public boolean isNullable() {
		return nullable;
	}

	public void setNullable(boolean nullable) {
		this.nullable = nullable;
	}

	public int getColumn_length() {
		return column_length;
	}

	public void setColumn_length(int column_length) {
		this.column_length = column_length;
	}

	public String getColumn_type() {
		return column_type;
	}

	public void setColumn_type(String column_type) {
		this.column_type = column_type;
	}

	public String getColumn_value() {
		return column_value;
	}

	public void setColumn_value(String column_value) {
		this.column_value = column_value;
	}

}
